/**
 *
 * Apply left click on an element. If selector is not provided, click on the last
 * moved-to location.
 *
 * @param {String} selector element to click on
 * @param {Number} xoffset  X offset to move to, relative to the top-left corner of the element.
 * @param {Number} yoffset  Y offset to move to, relative to the top-left corner of the element.
 * @uses protocol/element, protocol/buttonPress
 * @type action
 *
 */

'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _helpersHandleMouseButtonCommand = require('../helpers/handleMouseButtonCommand');

var _helpersHandleMouseButtonCommand2 = _interopRequireDefault(_helpersHandleMouseButtonCommand);

var leftClick = function leftClick(selector, xoffset, yoffset) {
  return _helpersHandleMouseButtonCommand2['default'].call(this, selector, 'left', xoffset, yoffset);
};

exports['default'] = leftClick;
module.exports = exports['default'];
